Sequans Communications SA

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/sequans-communications-sa/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/sequans-communications-sa/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1779926400000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://sequans.com/sequans-completes-full-redemption-of-convertible-debt-reestablishes-pure-play-focus-on-iot-semiconductor-growth/",
    "holding_balance": 658.0,
    "holding_net_change": -456.0,
    "transaction_value_usd": 33527459.28,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1785801600000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://sequans.com/sequans-communications-unaudited-second-quarter-2026-preliminary-financial-results/",
    "holding_balance": 314.0,
    "holding_net_change": -344.0,
    "transaction_value_usd": 21821378.56,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1790208000000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://sequans.com/sequans-completes-bitcoin-treasury-exit-and-emerges-with-a-solid-financial-foundation/",
    "holding_balance": 0.0,
    "holding_net_change": -314.0,
    "transaction_value_usd": 26516219.84,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/sequans-communications-sa/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790812800000,
    0.0
  ],
  [
    1790899200000,
    0.0
  ],
  [
    1790985600000,
    0.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/sequans-communications-sa/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790812800000,
    0.0
  ],
  [
    1790899200000,
    0.0
  ],
  [
    1790985600000,
    0.0
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/sequans-communications-sa/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 2.72,
    "date": "2026-09-30",
    "high": 2.89,
    "open": 2.81,
    "close": 2.76,
    "volume": 19800
  },
  {
    "low": 2.72,
    "date": "2026-10-01",
    "high": 2.84,
    "open": 2.72,
    "close": 2.74,
    "volume": 16100
  },
  {
    "low": 2.74,
    "date": "2026-10-02",
    "high": 2.88,
    "open": 2.77,
    "close": 2.8,
    "volume": 41235
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/sequans-communications-sa/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.4033,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": -0.47
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/sequans-communications-sa/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 1.82,
  "six_month_return": 14.29,
  "three_month_return": -13.31
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/sequans-communications-sa/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}